Page MenuHomePhabricator

Migrate Maniphest Projects to use edge infrastructure
Closed, ResolvedPublic

Description

Migrate Maniphest Projects (i.e. the ManiphestTaskProject class) to use edge infrastructure.

Event Timeline

joshuaspence claimed this task.
joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence updated the task description. (Show Details)
joshuaspence added a project: Maniphest.
joshuaspence added a subscriber: joshuaspence.
joshuaspence removed joshuaspence as the assignee of this task.Jun 3 2014, 11:46 PM

I don't think that I know enough about Phabricator to complete this task.

epriestley edited this Maniphest Task.Jun 4 2014, 12:20 AM

D9340 slightly related.

This is probably pretty involved, I'll take a stab at it at some point. I don't think it gives us a ton of stuff, but would let us clean up a few things.

epriestley edited this Maniphest Task.Jun 24 2014, 4:39 PM
epriestley edited this Maniphest Task.Jul 5 2014, 5:14 PM
epriestley edited this Maniphest Task.Jul 5 2014, 7:44 PM
epriestley renamed this task from Migrate Maniphest Projects to use edge infrastructure. to Migrate Maniphest Projects to use edge infrastructure.Jul 5 2014, 7:44 PM
epriestley edited this Maniphest Task.Jul 5 2014, 8:09 PM
epriestley edited this Maniphest Task.Jul 5 2014, 9:42 PM
epriestley edited this Maniphest Task.Jul 5 2014, 10:00 PM
epriestley edited this Maniphest Task.Jul 5 2014, 10:30 PM
epriestley edited this Maniphest Task.Jul 5 2014, 10:41 PM
epriestley edited this Maniphest Task.Jul 5 2014, 10:48 PM
epriestley triaged this task as Normal priority.Jul 6 2014, 2:30 PM
epriestley edited this Maniphest Task.Jul 6 2014, 2:31 PM
epriestley edited this Maniphest Task.Jul 6 2014, 2:43 PM
epriestley edited this Maniphest Task.Jul 6 2014, 3:09 PM
epriestley edited this Maniphest Task.Jul 6 2014, 3:28 PM
epriestley edited this Maniphest Task.Jul 6 2014, 4:07 PM
epriestley edited this Maniphest Task.Jul 10 2014, 7:33 PM

◀ Merged tasks: T5190.

epriestley edited this Maniphest Task.Jul 13 2014, 4:21 PM
epriestley edited this Maniphest Task.Jul 13 2014, 5:21 PM
epriestley edited this Maniphest Task.Jul 17 2014, 10:40 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Jul 17 2014, 10:42 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
timor added a subscriber: timor.Jul 18 2014, 11:50 AM

This is mostly complete, but:

  • Maniphest should implement PhabricatorProjectInterface, but picks up two "Projects" fields in the UI if it does. Its projects field currently shows board columns, so we can't just delete that copy. After T4807, we can generalize this and implement PhabricatorProjectInterface.
  • It would be nice to migrate old TYPE_PROJECTS transactions to TYPE_EDGE transactions to remove leftover rendering code.

Support Impact While this is mostly resolved, it created inconsistencies and blocked other tasks.

btrahan claimed this task.Dec 4 2014, 11:05 PM

This is mostly complete, but:

  • Maniphest should implement PhabricatorProjectInterface, but picks up two "Projects" fields in the UI if it does. Its projects field currently shows board columns, so we can't just delete that copy. After T4807, we can generalize this and implement PhabricatorProjectInterface.
  • It would be nice to migrate old TYPE_PROJECTS transactions to TYPE_EDGE transactions to remove leftover rendering code.

Stealing this from you to do these bits...? Feel free to take back if you have something on it as I won't be getting started on this for a few hours at least.

Stealing this from you to do these bits...?

Go for it. First one is definitely worth doing but the the second one may be more trouble than it's worth (we only get to remove a fairly small amount of dead code, I think, and it could be a long trek to get there).

Please check https://secure.phabricator.com/maniphest/report/project/

This is the result of this change:
rP83db5965ab6c: Maniphest - introduce needProjectPHIDs